%define upstream_name    File-Slurp-Tiny
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple, sane and efficient file slurper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides functions for fast and correct slurping and spewing.
All functions are optionally exported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1027612
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 968752
- Mageia 6 Mass Rebuild

* Fri Jul 17 2015 shlomif <shlomif> 0.4.0-1.mga6
+ Revision: 854905
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 743574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 684770
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.3.0-1.mga5
+ Revision: 596473
- imported package perl-File-Slurp-Tiny


* Mon Feb 24 2014 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
